Missing citing information

Bug #789507 reported by Florian Rathgeber on 2011-05-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DOLFIN
Undecided
Unassigned
FEniCS Web
Medium
Anders Logg

Bug Description

The page http://fenicsproject.org/cite/cite.html currently contains only a single entry for DOLFIN. Other parts of the project do not list any publications (even though there are). Is this the right place to file bug reports for the website or do they belong to fenics-doc?

Changed in fenics:
status: New → Confirmed
importance: Undecided → Medium
affects: fenics → fenics-web
Changed in fenics-web:
milestone: none → 1.0

Sorry for filing at the wrong place.

I suggest a useful citation format for all the FEniCS projects that don't yet have citable publications is:

@misc{<project>_2011,
        title = {<project_name>},
        url = {https://launchpad.net/<project>},
        author = {<core team members in order of join date>},
        year = {2011},
        howpublished = {https://launchpad.net/<project>}
}

On 06/03/2011 02:46 AM, Florian Rathgeber wrote:
> Sorry for filing at the wrong place.
>
> I suggest a useful citation format for all the FEniCS projects that
> don't yet have citable publications is:
>
> @misc{<project>_2011,
> title = {<project_name>},
> url = {https://launchpad.net/<project>},
> author = {<core team members in order of join date>},
> year = {2011},
> howpublished = {https://launchpad.net/<project>}
> }
>

I think this sounds like a great suggestion. Anyone else have any opinions?

--
Marie

Garth Wells (garth-wells) wrote :

On 05/06/11 20:48, Marie Rognes wrote:
> On 06/03/2011 02:46 AM, Florian Rathgeber wrote:
>> Sorry for filing at the wrong place.
>>
>> I suggest a useful citation format for all the FEniCS projects that
>> don't yet have citable publications is:
>>
>> @misc{<project>_2011,
>> title = {<project_name>},
>> url = {https://launchpad.net/<project>},
>> author = {<core team members in order of join date>},
>> year = {2011},
>> howpublished = {https://launchpad.net/<project>}
>> }
>>
>
> I think this sounds like a great suggestion. Anyone else have any
> opinions?
>

I don't think that it's a good idea. Better is for the main developers
of each project to decide on the appropriate citation. This is what
we've done in the past. The problem now is that this does not yet appear
on the web page.

Garth

> --
> Marie
>

Certainly that's preferred. My suggestion is just a workaround for a) the current situation where this information is missing and b) only for projects without publications (like UFL - at least I'm not aware of any there)

And since all development activity is centered on launchpad I think it's not too bad referring to that. It's likely the most up-to-date place to look at.

Garth Wells (garth-wells) wrote :

This has been more-or-less committed. See

    http://www.fenicsproject.org/new/citing/

The list will probably be expanded and tweaked over time.

Changed in fenics-web:
status: Confirmed → Fix Committed
Anders Logg (logg) wrote :

Marking as in progress. I want to review the references and add some more.

Changed in fenics-web:
status: Fix Committed → In Progress
assignee: nobody → Anders Logg (logg)
Changed in fenics-web:
milestone: 1.0-beta → 1.0
Harish Narayanan (hnarayanan) wrote :

You also need to ensure that all citations/corresponding links have the same format. That is not the case at the moment.

tags: added: content
Anders Logg (logg) on 2011-11-22
Changed in dolfin:
milestone: none → 1.0

On 22 November 2011 16:19, Anders Logg <email address hidden> wrote:
> ** Also affects: dolfin
>   Importance: Undecided
>       Status: New
>
> ** Changed in: dolfin
>    Milestone: None => 1.0
>
> --
> You received this bug notification because you are a member of DOLFIN
> Core Team, which is subscribed to DOLFIN.
> https://bugs.launchpad.net/bugs/789507
>
> Title:
>  Missing citing information
>
> Status in DOLFIN:
>  New
> Status in The FEniCS Project Web Presence:
>  In Progress
>
> Bug description:
>  The page http://fenicsproject.org/cite/cite.html currently contains
>  only a single entry for DOLFIN. Other parts of the project do not list
>  any publications (even though there are). Is this the right place to
>  file bug reports for the website or do they belong to fenics-doc?

I think it belongs to fenics-web, on

https://launchpad.net/fenics-doc

it says:

"Common documentation of the FEniCS Project. This project is dormant.
Use fenics-web for items relating to the FEniCS web pages and the
separate FEniCS Software components for documentation of these."

> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dolfin/+bug/789507/+subscriptions
>

Anders Logg (logg) wrote :

On Tue, Nov 22, 2011 at 06:47:49PM -0000, Kristian B. Ølgaard wrote:
> On 22 November 2011 16:19, Anders Logg <email address hidden> wrote:
> > ** Also affects: dolfin
> >   Importance: Undecided
> >       Status: New
> >
> > ** Changed in: dolfin
> >    Milestone: None => 1.0
> >
> >
> > Title:
> >  Missing citing information
> >
> > Status in DOLFIN:
> >  New
> > Status in The FEniCS Project Web Presence:
> >  In Progress
> >
> > Bug description:
> >  The page http://fenicsproject.org/cite/cite.html currently contains
> >  only a single entry for DOLFIN. Other parts of the project do not list
> >  any publications (even though there are). Is this the right place to
> >  file bug reports for the website or do they belong to fenics-doc?
>
> I think it belongs to fenics-web, on
>
> https://launchpad.net/fenics-doc
>
> it says:
>
> "Common documentation of the FEniCS Project. This project is dormant.
> Use fenics-web for items relating to the FEniCS web pages and the
> separate FEniCS Software components for documentation of these."

Yes, but I've targeted this bug also to DOLFIN so that I remember to
fix the above item (and a couple others) before the release of DOLFIN
1.0.0.

--
Anders

On 22 November 2011 20:07, Anders Logg <email address hidden> wrote:
> On Tue, Nov 22, 2011 at 06:47:49PM -0000, Kristian B. Ølgaard wrote:
>> On 22 November 2011 16:19, Anders Logg <email address hidden> wrote:
>> > ** Also affects: dolfin
>> >   Importance: Undecided
>> >       Status: New
>> >
>> > ** Changed in: dolfin
>> >    Milestone: None => 1.0
>> >
>> >
>> > Title:
>> >  Missing citing information
>> >
>> > Status in DOLFIN:
>> >  New
>> > Status in The FEniCS Project Web Presence:
>> >  In Progress
>> >
>> > Bug description:
>> >  The page http://fenicsproject.org/cite/cite.html currently contains
>> >  only a single entry for DOLFIN. Other parts of the project do not list
>> >  any publications (even though there are). Is this the right place to
>> >  file bug reports for the website or do they belong to fenics-doc?
>>
>> I think it belongs to fenics-web, on
>>
>> https://launchpad.net/fenics-doc
>>
>> it says:
>>
>> "Common documentation of the FEniCS Project. This project is dormant.
>> Use fenics-web for items relating to the FEniCS web pages and the
>> separate FEniCS Software components for documentation of these."
>
> Yes, but I've targeted this bug also to DOLFIN so that I remember to
> fix the above item (and a couple others) before the release of DOLFIN
> 1.0.0.

OK, as long as you don't target it to fenics-doc which is inactive.

> --
> Anders
>
> --
> You received this bug notification because you are a member of DOLFIN
> Core Team, which is subscribed to DOLFIN.
> https://bugs.launchpad.net/bugs/789507
>
> Title:
>  Missing citing information
>
> Status in DOLFIN:
>  New
> Status in The FEniCS Project Web Presence:
>  In Progress
>
> Bug description:
>  The page http://fenicsproject.org/cite/cite.html currently contains
>  only a single entry for DOLFIN. Other parts of the project do not list
>  any publications (even though there are). Is this the right place to
>  file bug reports for the website or do they belong to fenics-doc?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dolfin/+bug/789507/+subscriptions
>

Anders Logg (logg) wrote :

On Tue, Nov 22, 2011 at 07:35:31PM -0000, Kristian B. Ølgaard wrote:
> On 22 November 2011 20:07, Anders Logg <email address hidden> wrote:
> > On Tue, Nov 22, 2011 at 06:47:49PM -0000, Kristian B. Ølgaard wrote:
> >> On 22 November 2011 16:19, Anders Logg <email address hidden> wrote:
> >> > ** Also affects: dolfin
> >> >   Importance: Undecided
> >> >       Status: New
> >> >
> >> > ** Changed in: dolfin
> >> >    Milestone: None => 1.0
> >> >
> >> >
> >> > Title:
> >> >  Missing citing information
> >> >
> >> > Status in DOLFIN:
> >> >  New
> >> > Status in The FEniCS Project Web Presence:
> >> >  In Progress
> >> >
> >> > Bug description:
> >> >  The page http://fenicsproject.org/cite/cite.html currently contains
> >> >  only a single entry for DOLFIN. Other parts of the project do not list
> >> >  any publications (even though there are). Is this the right place to
> >> >  file bug reports for the website or do they belong to fenics-doc?
> >>
> >> I think it belongs to fenics-web, on
> >>
> >> https://launchpad.net/fenics-doc
> >>
> >> it says:
> >>
> >> "Common documentation of the FEniCS Project. This project is dormant.
> >> Use fenics-web for items relating to the FEniCS web pages and the
> >> separate FEniCS Software components for documentation of these."
> >
> > Yes, but I've targeted this bug also to DOLFIN so that I remember to
> > fix the above item (and a couple others) before the release of DOLFIN
> > 1.0.0.
>
> OK, as long as you don't target it to fenics-doc which is inactive.

Did I? I might have targeted it to fenics-doc my mistake but I thought
I targeted to DOLFIN.

ok, now I see, you refer to the comment regarding fenics-doc in the
bug description. It's an old bug report and I didn't read the text. I
just targeted it to DOLFIN. I really belongs to fenics-web.

--
Anders

> >
> >
> > Title:
> >  Missing citing information
> >
> > Status in DOLFIN:
> >  New
> > Status in The FEniCS Project Web Presence:
> >  In Progress
> >
> > Bug description:
> >  The page http://fenicsproject.org/cite/cite.html currently contains
> >  only a single entry for DOLFIN. Other parts of the project do not list
> >  any publications (even though there are). Is this the right place to
> >  file bug reports for the website or do they belong to fenics-doc?
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dolfin/+bug/789507/+subscriptions
> >
>

Download full text (3.2 KiB)

On 22 November 2011 21:05, Anders Logg <email address hidden> wrote:
> On Tue, Nov 22, 2011 at 07:35:31PM -0000, Kristian B. Ølgaard wrote:
>> On 22 November 2011 20:07, Anders Logg <email address hidden> wrote:
>> > On Tue, Nov 22, 2011 at 06:47:49PM -0000, Kristian B. Ølgaard wrote:
>> >> On 22 November 2011 16:19, Anders Logg <email address hidden> wrote:
>> >> > ** Also affects: dolfin
>> >> >   Importance: Undecided
>> >> >       Status: New
>> >> >
>> >> > ** Changed in: dolfin
>> >> >    Milestone: None => 1.0
>> >> >
>> >> >
>> >> > Title:
>> >> >  Missing citing information
>> >> >
>> >> > Status in DOLFIN:
>> >> >  New
>> >> > Status in The FEniCS Project Web Presence:
>> >> >  In Progress
>> >> >
>> >> > Bug description:
>> >> >  The page http://fenicsproject.org/cite/cite.html currently contains
>> >> >  only a single entry for DOLFIN. Other parts of the project do not list
>> >> >  any publications (even though there are). Is this the right place to
>> >> >  file bug reports for the website or do they belong to fenics-doc?
>> >>
>> >> I think it belongs to fenics-web, on
>> >>
>> >> https://launchpad.net/fenics-doc
>> >>
>> >> it says:
>> >>
>> >> "Common documentation of the FEniCS Project. This project is dormant.
>> >> Use fenics-web for items relating to the FEniCS web pages and the
>> >> separate FEniCS Software components for documentation of these."
>> >
>> > Yes, but I've targeted this bug also to DOLFIN so that I remember to
>> > fix the above item (and a couple others) before the release of DOLFIN
>> > 1.0.0.
>>
>> OK, as long as you don't target it to fenics-doc which is inactive.
>
> Did I? I might have targeted it to fenics-doc my mistake but I thought
> I targeted to DOLFIN.
>
> ok, now I see, you refer to the comment regarding fenics-doc in the
> bug description. It's an old bug report and I didn't read the text. I
> just targeted it to DOLFIN. I really belongs to fenics-web.

Yes, I was referring to that. Agree.

Kristian

> --
> Anders
>
>
>> >
>> >
>> > Title:
>> >  Missing citing information
>> >
>> > Status in DOLFIN:
>> >  New
>> > Status in The FEniCS Project Web Presence:
>> >  In Progress
>> >
>> > Bug description:
>> >  The page http://fenicsproject.org/cite/cite.html currently contains
>> >  only a single entry for DOLFIN. Other parts of the project do not list
>> >  any publications (even though there are). Is this the right place to
>> >  file bug reports for the website or do they belong to fenics-doc?
>> >
>> > To manage notifications about this bug go to:
>> > https://bugs.launchpad.net/dolfin/+bug/789507/+subscriptions
>> >
>>
>
> --
> You received this bug notification because you are a member of DOLFIN
> Core Team, which is subscribed to DOLFIN.
> https://bugs.launchpad.net/bugs/789507
>
> Title:
>  Missing citing information
>
> Status in DOLFIN:
>  New
> Status in The FEniCS Project Web Presence:
>  In Progress
>
> Bug description:
>  The page http://fenicsproject.org/cite/cite.html currently contains
>  only a single entry for DOLFIN. Other parts of the project do not list
>  any publications (even though there are). Is this the right place to
>  file bug reports for the website or do they belong to fenics-doc?...

Read more...

Anders Logg (logg) on 2011-12-06
Changed in dolfin:
status: New → Fix Released
Changed in fenics-web:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers